%global pypi_name cmd2

Name:           python-%{pypi_name}
Version:        2.4.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        Extra features for standard library's cmd module
License:        MIT
URL:            https://pypi.org/project/cmd2/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Extra features for standard library's cmd module.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# for tests
BuildRequires:  python3dist(codecov)
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pyperclip)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(wcwidth)

%description -n python3-%{pypi_name}
Extra features for standard library's cmd module.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*


%changelog
* Thu Sep 29 2022 neoclust <neoclust> 2.4.2-1.mga9
+ Revision: 1893185
- New version 2.4.2

* Fri Apr 01 2022 umeabot <umeabot> 2.4.0-2.mga9
+ Revision: 1838266
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.4.0-1.mga9
+ Revision: 1785567
- version 2.4.0
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 2.1.2-1.mga9
+ Revision: 1743087
- new version 2.1.2

* Fri Mar 26 2021 daviddavid <daviddavid> 1.5.0-1.mga9
+ Revision: 1710448
- new version: 1.5.0
- rebuild for python 3.9

* Sat Nov 28 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1649931
- new version 1.4.0

* Tue Feb 18 2020 umeabot <umeabot> 0.9.22-2.mga8
+ Revision: 1541781
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 0.9.22-1.mga8
+ Revision: 1475172
- new version 0.9.22

* Wed Oct 02 2019 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1448750
- new version: 0.9.16

* Mon Sep 16 2019 daviddavid <daviddavid> 0.9.11-2.mga8
+ Revision: 1441792
- rebuild for python3.8

* Sun Apr 21 2019 wally <wally> 0.9.11-1.mga7
+ Revision: 1394319
- new version 0.9.11

* Sat Jan 12 2019 shlomif <shlomif> 0.9.6-1.mga7
+ Revision: 1355391
- new version 0.9.6
- upstream dropped python2 support

* Thu Sep 20 2018 umeabot <umeabot> 0.6.8-3.mga7
+ Revision: 1288427
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.6.8-2.mga7
+ Revision: 1135342
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 0.6.8-1.mga6
+ Revision: 910993
- new version: 0.6.8
- use new python macros
- remove unneeded required packages as they are auto-required

* Thu Oct 08 2015 tv <tv> 0.6.7-8.mga6
+ Revision: 887507
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.6.7-7.mga5
+ Revision: 739357
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.7-6.mga5
+ Revision: 728188
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.7-5.mga5
+ Revision: 687938
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6.7-4.mga5
+ Revision: 628522
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.7-3.mga4
+ Revision: 543064
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.7-2.mga4
+ Revision: 498278
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.6.7-1.mga4
+ Revision: 492583
- imported package python-cmd2

